List all versions metadata of a playbook
curl --request GET \
--url https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/versions \
--header 'BLINK-API-KEY: <api-key>'import requests
url = "https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/versions"
headers = {"BLINK-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'BLINK-API-KEY': '<api-key>'}};
fetch('https://app.blinkops.com/api/v1/workspace/{ws_id}/playbooks/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"branch": "<string>",
"branched_from": 123,
"created_at": 123,
"created_by": "<string>",
"description": "<string>",
"id": "<string>",
"name": "<string>",
"source": "<string>",
"version_id": 123
}
]{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}{
"data": {},
"details": "<string>",
"identifier": "<string>",
"message": "<string>",
"status": 404,
"user_error": {}
}Workflow Versions
List all versions metadata of a playbook
API endpoint to list metadata for all versions of a specific playbook.
GET
/
workspace
/
{ws_id}
/
playbooks
/
{id}
/
versions
List all versions metadata of a playbook
Authorizations
Use your API key to access BlinkOps API. To generate an API key, please log in to your BlinkOps account and navigate to the API Keys section in the user settings page. Add the generated key to your request headers as BLINK-API-KEY.
Path Parameters
The ID of the workspace containing the playbook
The ID of the playbook to retrieve the versions of
Was this page helpful?
⌘I